package client

import (
	contentclient "git.perx.ru/perxis/perxis-go/pkg/content"
	"github.com/go-kit/kit/transport/grpc"
)

type Option contentclient.Option

type Config struct {
	contentclient.Config
}

func AuthOAuth2(tokenUrl, clientID, clientSecret, audience string) Option {
	return Option(contentclient.AuthOAuth2(tokenUrl, clientID, clientSecret, audience))
}

func AuthTLS(cacert, cert, key []byte) Option {
	return Option(contentclient.AuthTLS(cacert, cert, key))
}

func AuthAPIKey(key string) Option {
	return Option(contentclient.AuthAPIKey(key))
}

func AuthInsecure() Option {
	return Option(contentclient.AuthInsecure())
}

func GrpcClientOptions(opts ...grpc.ClientOption) Option {
	return Option(contentclient.GrpcClientOptions(opts...))
}

func NoCache() Option {
	return Option(contentclient.NoCache())
}
